/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
color: #595959;
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}


/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
    color: #595959;
}


/* HP Testi Box Slider Bg */

.module-testimonials.style-2::before, .module-testimonials.style-3::after {
	height: 100%;
    background: url(https://s3.amazonaws.com/static.organiclead.com/Site-35045992-0028-4bdf-9a8f-07990e634c51/Assets/testimonial_background.jpg) center bottom / cover;
    background-position: center bottom;
}


.hp-brands-bg {
    background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-7e67688c-ab39-4f01-a9b4-98acfac39995/1_HP/brands_bg.jpg);background-size: cover;
}

.footer-heading h4 {
    text-transform: uppercase;
    font-size: 24px;
    font-weight: 500 !important;
    letter-spacing: 1px;
}

.subheading{
    letter-spacing: 10px;
}

@media (min-width: 768px) {
    .md\:grid-cols-2 {
        grid-template-columns: 1fr 1fr;
    }
}



/* HP Heading Styles */
h2, h3 {
    font-size: 3rem!important;
    font-family: Katibeh;
    text-transform: uppercase;
	line-height: 0.9;
	
}


h3 {
	color: #455c5c;
}

h6 { 
    color: #7da4a3;
	font-family: Corinthia;
    text-transform: capitalize!important;
	font-size: 3rem !important;
	padding-bottom: 10px;
}

/*p {
	font-size: 1.5rem!important;
}*/

.bi::before, [class^="bi-"]::before, [class*=" bi-"]::before {
line-height: 2!important;
}

.ftr-copy p{
font-size: 16px !important;
}

.svs-title h6 {color:#fff!important; }

#page .ry-menu .ry-nav > li > a {
    text-shadow: -1px 1px 2px #ffffff91;
}

#navigation .bg-primary-background {
    background-color: #fff !important;
}

body[data-page-name="eyeglasses"] div#hp-brands-6::before,
body[data-page-name="eyeglasses"] #hp-brands-6 .sub-title,
body[data-page-name="eyeglasses"] #hp-brands-6 .sub-title h6,
body[data-page-name="eyeglasses"] #hp-brands-6 .main-title,
body[data-page-name="eyeglasses"] #hp-brands-6 a.ry-btn.ry-btn-primary,
body[data-page-name="eyeglasses"] #hp-brands-6 p {
	display: none;
}

body[data-page-name="eyeglasses"] .hp-brands-bg  {
    background: none !important;
	padding-top: 0 !important;
}

#contents p, #ry-pg-body p {
    font-size: 1.125rem;
    line-height: 1.75rem;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

@media (max-width: 768px) {
    .slider-info-center-bottom {
        bottom: 0% !important;
    }
}

@media (min-width: 640px) {
    .blog-pg  .sm\:grid-cols-2 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}
.blog-pg  .group p {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    line-clamp: 5;
    -webkit-box-orient: vertical;
    text-decoration: none !important;
	height:100%
}
.blog-pg  .group h3 {
font-size:35px !important;
    line-height:.9;
    margin-top:0;
}
.blog-pg .group {
    text-decoration: none !important;
}
.blog-pg .group img {
    margin:0;
    object-fit:cover;
    object-position:center 15%;
}

.blog-pg .max-w-6xl {
    padding-inline:0;
    background:unset
}


@media(min-width:1080PX) {
	.blog-pg .group img {
    height:100%;
    max-height:280PX;
    object-fit:cover;
	}
  
}
.snap-pagination-wrapper{margin:5rem 0}.pagination a[aria-label="First"],.pagination a[aria-label="Last"]{display:none}.pagination{display:inline-flex;margin-left:calc(1px * -1);font-size:.875rem;list-style:none}.pagination a{display:flex;align-items:center;justify-content:center;padding-left:.75rem;padding-right:.75rem;height:2rem;line-height:1.25;color:#ffffff;background-color:#3a203b;border:1px solid #d1d5db}.pagination a:hover{background-color:#ffffff;color:#000000}.pagination .active a{color:#000000;background-color:#ffffff}.pagination .active a:hover{background-color:var(--color-primary-background);color:#ffffff}.pagination a[aria-label="Next"]{border-top-right-radius:.5rem;border-bottom-right-radius:.5rem}.pagination a[aria-label="Previous"]{border-top-left-radius:.5rem;border-bottom-left-radius:.5rem}.pagination li:first-child a{border-top-left-radius:.5rem;border-bottom-left-radius:.5rem;margin-inline-start:0}.pagination li:not(:last-child) a{border-right:0}.pagination a[aria-label="Next"] span,.pagination a[aria-label="Previous"] span[aria-hidden="true"]{display:none}.pagination a[aria-label="Previous"]::after{content:"Previous"}.pagination a[aria-label="Next"]::after{content:"Next"}

.slider-info-center-bottom .text-sm {
	min-height:fit-content
}
.slider-info-center-bottom {
	max-width:1080PX !important; 
	width:100%;
}

.snap-mobile-menu .gap-6 {
	gap: 10px;
}

.snap-mobile-menu .gap-4 {
	gap:6PX
}

.snap-mobile-menu {
    background:#fff
}
.snap-mobile-menu .snap-mobile-menu {
    padding-inline:0;
    gap:20px
}
.snap-mobile-menu img {
    filter:unset
}

#section-hp-services::before, .module-19.style2::before, .ry-services.style2::before {
	opacity:1
}
#ry-footer-3  ul li .font-semibold {
	font-weight:normal
}

@media(min-width:768px) and (max-width:780px) {
	.slider-info-center-bottom .text-xl.md\:text-5xl.font-bold.mb-4 h2 {
		font-size:50px !important
	}
}
@media(max-width:1480px) {
	.cta-btn a {
		font-size: 18PX;
	}
	#navigation-style-3 { 
		padding-inline: 20px 
	}

}

@media(max-width:1280px) {
  .ry-menu {
    width:90% !important;
    margin-inline:auto !important;
			
  }
		.cta-btn {
		width:100%t;
		padding-inline: 15px;
		max-width: 400px;
			min-width: 250px
	}

}

@media(max-width:1080px) {
	#navigation-style-3, .ry-menu {
		display: none   !important  
	}
	.snap-mobile-menu {
		display: flex !important
  }
	.homepage-swiper .slider-info-center-bottom {
	top:unset;
	bottom: 30px;
	width:100%;
	max-width:700PX;
	height:fit-content;
	min-height:fit-content
	}
	
	.module-welcome.style-5 .ry-each.image-wrapper .photo{
	padding:0 !important;
	height:100% 
	}
	
	.module-welcome.style-5 .ry-each.image-wrapper .photo img {
	position:relative;
	height:100%;
	inset:0;
	max-width:500px;
	margin-inline:auto
	}
	.module-welcome.style-5 .ry-flex {
	gap:30px
	}
	  .ry-services.style2 *, .module-welcome *, #section-hp-team *, #hp-brands-6 *, .module-testimonials *, #hp-brands-5 *, #hp-insurance-1 * {
        text-align: center !important;
    }
	#section-hp-services, #section-hp-team, #hp-insurance-1, .module-testimonials.style-2{
		padding-block:80px
	}
	.module-testimonials .p-20 {
		padding-inline:30px
	}
	#ry-footer-3 .col-span-full:last-child .overflow-hidden  {
		padding-bottom:0
	}
	#ry-footer-3  ul li span {
	font-size:18px
}
	#ry-footer-3 .col-span-full:last-child ul li {
		gap:5px;
		padding-bottom:10PX
	}
}

@media (max-width: 1023px) {
    .homepage-swiper .slider-info-center-bottom {
    bottom: 0;
    background: var(--color-primary-background);
    padding: 40px 10px;
    position:relative;
    width:100%;
    max-width:100%;
    inset:unset;
    transform:unset
    }
    .homepage-swiper .button-wrapper {
    display: block;
    bottom: 40px;
    }
    .homepage-swiper .swiper-pagination-bullet-active {
    background: var(--color-secondary-background);
    }
    .homepage-swiper .swiper-slide img {
    height: 100% !important;SL
    }
    .slider-info-center-bottom * {
        text-align:center !important
    }
    .homepage-swiper .with-gradient:before {
        display:none
    }

    .ry-services.style2 *, .module-welcome *, #section-hp-team *, #hp-brands-6 *, .module-testimonials * {
        text-align:center
    }
}
@media (max-width: 767px) {
	.slider-info-center-bottom .text-xl.md\:text-5xl.font-bold.mb-4 h2 {
		font-size: 50PX !important;
	}
	.slider-info-center-bottom .text-sm {
		font-size:18px !important
	}
}

@media (max-width: 500px) {
	.homepage-swiper .swiper-slide img {
		height:37vh !important
	}
		.slider-info-center-bottom .text-xl.md\:text-5xl.font-bold.mb-4 h2 {
		font-size: 45PX !important;
	}
}


/* --- footer --- */

#ry-footer ul.max-w-\[300px\] li  {
  display: flex;
  gap: 10px
}
#ry-footer ul.max-w-\[300px\] li span {
  display: flex;
  text-wrap:nowrap
}

#ry-footer ul.max-w-\[300px\] li span:last-child {
  display: block;
  width: 140px;
  text-align:start
}

#ry-footer ul.max-w-\[300px\] li span:first-child {
  width: 90px;
  display: block;
  text-align:start
}
#ry-footer h4 {
  text-wrap: nowrap
}

.ftr-copy .flex-col {
  flex-direction: row
}
.ftr-copy .text-white {
  width: fit-content
}
.ftr-copy p {
  .flex-wrap:nowrap
}

@media(max-width:1199px) {
  #ry-footer .grid {
    display: flex;
    flex-wrap:wrap;
    max-width:800px;
    margin-inline: auto;
    width:100%
  }
  #ry-footer .col-span-full {
    width: 49%;
    display: flex;
    flex-direction: column;
    align-items: center

  }
  #ry-footer .grid * {
    text-align: center
  }
  .ftr-copy p {
    text-align: center;
    justify-content: center
  }
  .ftr-copy .flex-col {
  flex-direction: column;
    justify-content: center;
    align-items: center
}
}